## haskell-cabal 1.1.3build1

=== debian/changelog ===
haskell-cabal (1.1.3build1) dapper; urgency=low

  * Rebuild for registered/unregistered changes of ghc6 on amd64/sparc.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun,  9 Apr 2006 17:10:04 +0200

haskell-cabal (1.1.3) unstable; urgency=low

  * Release candidate for 1.2 (Closes: #311835).
  * WARNING: Interfaces not documented in the user's guide may
    change in future releases.
  * Move building of GHCi .o libs to the build phase rather than
    register phase. (from Duncan Coutts)
  * Use .tar.gz for source package extension
  * Uses GHC instead of cpphs if the latter is not available
  * Added experimental "command hooks" which completely override the
    default behavior of a command.
  * Some bugfixes
  * added ./setup test (Closes: #303605).
  * fixed truncate of configure flags (Closes: #304206).
  * fixed generation of empty package.conf (Closes: #307028).
  * builds ghci libs during build phase (Closes: #308263).
  
 -- Isaac Jones <ijones@debian.org>  Sat, 22 Oct 2005 11:38:59 -0700

haskell-cabal (1.1.1) unstable; urgency=low

  * Release candidate for 1.2.
  * WARNING: Interfaces not documented in the user's guide may
    change in future releases.
  * Handles recursive modules for GHC 6.2 and GHC 6.4.
  * Added "setup test" command (Used with UserHook)
  * implemented handling of _stub.{c,h,o} files
  * Added support for profiling
  * Changed install prefix of libraries (pref/pkgname-version
     to prefix/pkgname-version/compname-version)
  * Added pattern guards as a language extension
  * Moved some functionality to Language.Haskell.Extension
  * Register / unregister .bat files for windows
  * Exposed more of the API
  * Added support for the hide-all-packages flag in GHC > 6.4
  * Several bug fixes

 -- Isaac Jones <ijones@debian.org>  Sun, 17 Jul 2005 22:16:42 -0700

haskell-cabal (0.5-1) unstable; urgency=low

  * new upstream version.  see upstream changelog for more info.
  * some interface changes, see upstream changelog

 -- Isaac Jones <ijones@debian.org>  Sat, 19 Feb 2005 12:41:18 -0800

haskell-cabal (0.4-1) unstable; urgency=low

  * new upstream version.  see upstream changelog for more info.
  * some interface changes, see upstream changelog.
  * bumped standards-version.

 -- Isaac Jones <ijones@debian.org>  Sat, 15 Jan 2005 12:55:49 -0800

haskell-cabal (0.2-3) unstable; urgency=low

  * added depends on posix (Closes: #280244).

 -- Isaac Jones <ijones@debian.org>  Mon,  8 Nov 2004 07:01:53 -0800

haskell-cabal (0.2-2) unstable; urgency=low

  * Removed spurious depends on ghc5.  Should close 279988.  I'll close
    that by hand once I'm sure.

 -- Isaac Jones <ijones@debian.org>  Sun,  7 Nov 2004 14:21:38 -0800

haskell-cabal (0.2-1) unstable; urgency=low

  * New upstream release
  * Includes cleanup of treatment of the local packages file
    ~/.ghc-packages.  Doesn't touch this file unless it's
    necessary. (Closes: #278667 Closes: #279556).
  * Some work on preprocessors.

 -- Isaac Jones <ijones@debian.org>  Tue,  2 Nov 2004 20:06:22 -0800

haskell-cabal (0.1-4) unstable; urgency=low

  * Added basic infrastructure for multiple targets, though
    have not yet enabled it because it doesn't yet work upstream.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Oct 2004 19:45:27 -0500

haskell-cabal (0.1-3) unstable; urgency=low

  * Fixed old postinst, postrm scripts to do the right thing in more cases.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Oct 2004 16:25:29 -0500

haskell-cabal (0.1-2) unstable; urgency=low

  * Install binary under /usr/lib/haskell-libraries/ghc6 in keeping
    with new Haskell policy.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Oct 2004 15:56:03 -0500

haskell-cabal (0.1-1) unstable; urgency=low

  * Initial release.  Closes: #275069.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 05 Oct 2004 13:36:08 -0500
