## haskell-cabal 1.1.3ubuntu1

=== debian/changelog ===
haskell-cabal (1.1.3ubuntu1) edgy; urgency=low

  * Rebuild for ghc 6.4.2.
  * Update control: 
    - build-dependency needs newer ghc now
    - dependency on newer ghc for library package.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 30 Jun 2006 14:09:06 +0200
