## haskell-cabal 1.1.3ubuntu2

=== debian/changelog ===
haskell-cabal (1.1.3ubuntu2) feisty; urgency=low

  * Rebuild for newer ghc6.
  * Tighten build-dependency in debian/control again.
  * Update dependency for newer ghc6 as well.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat,  9 Dec 2006 16:56:32 +0100
