=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: haskell-cabal
 Priority: optional
 Maintainer: Isaac Jones <ijones@debian.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6)
 Standards-Version: 3.6.1
 Suggests: haddock, cpphs
 
 Package: libghc6-cabal-dev
 Section: devel
 Architecture: any
-Depends: ghc6 (>= 6.4.2), ghc6 (<< 6.4.3)
+Depends: ghc6 (>= 6.6), ghc6 (<< 6.7)
 Description: Haskell Common Architecture for Building Applications and Libraries
  The Haskell Cabal is a system for building and installing Haskell
  programs and libraries.  It is aware of multiple different compilers
