## haskell-cabal 1.1.3ubuntu3

=== debian/changelog ===
haskell-cabal (1.1.3ubuntu3) gutsy; urgency=low

  * Rebuild for newer ghc6 minor version.
  * Update debian maintainer field due to policy.
  * Tighten dependency even more for minor version.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sun, 17 Jun 2007 23:00:37 +0200
