=== debian/control ===
Source: haskell-cabal
Priority: optional
XSBC-Original-Maintainer: Isaac Jones <ijones@debian.org>
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1)
Standards-Version: 3.6.1
Suggests: haddock, cpphs

Package: libghc6-cabal-dev
Section: devel
Architecture: any
Depends: ghc6 (>= 6.6.1), ghc6 (<< 6.6.1+)
Description: Haskell Common Architecture for Building Applications and Libraries
 The Haskell Cabal is a system for building and installing Haskell
 programs and libraries.  It is aware of multiple different compilers
 and can handle them without trouble.
 .
 This package will provide the infrastructure necessary to build
 Cabalized packages on Debian machines, or to Debianize those packages.
