## haskell-cabal 1.20.0.2

=== debian/changelog ===
haskell-cabal (1.20.0.2-1) unstable; urgency=medium

  * New upstream release
  * Add patch: quickcheck 2.7 compatibility

 -- Joachim Breitner <nomeata@debian.org>  Wed, 30 Jul 2014 22:52:23 +0200

haskell-cabal (1.20.0.1-1) unstable; urgency=low

  * Initial release.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 09 Jun 2014 12:02:18 +0200
