## haskell-cabal 1.22.1.1

=== debian/changelog ===
haskell-cabal (1.22.1.1-2build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Jun 2015 12:06:55 +0100

haskell-cabal (1.22.1.1-2build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 May 2015 14:23:43 +0100

haskell-cabal (1.22.1.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:48:07 +0200

haskell-cabal (1.22.1.1-1) experimental; urgency=medium

  * New upstream version
  * Remove doc-sources (now distributed by upstream)
  * Remove quickcheck patch (fixed upstream)
  * Make debian/copyright comply dep5

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 15 Mar 2015 13:49:03 +0300

haskell-cabal (1.20.0.2-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:43 +0100
