## haskell-cabal 1.22.4.0

=== debian/changelog ===
haskell-cabal (1.22.4.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 22 Dec 2015 10:36:15 +0100

haskell-cabal (1.22.4.0-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:09 -0500

haskell-cabal (1.22.4.0-1) experimental; urgency=medium

  * New upstream release
  * Drop installing the user guide. It is a bunch of markdown files now. It
    can probably be resurrected, if someone feels like investing time here.
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:06 +0200
