## haskell-cabal 1.22.5.0

=== debian/changelog ===
haskell-cabal (1.22.5.0-2) unstable; urgency=medium

  * Backport patch to provide --show-detail=direct, mostly to work around
    problems with `setup test` on architectures with insufficient threading
    support in GHC (https://github.com/haskell/cabal/issues/2398).  This
    matches a patch also in the ghc package, but we need it here as well for
    the sake of packages that build-depend on libghc-cabal-dev.

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Jan 2016 11:08:17 +0000

haskell-cabal (1.22.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 26 Dec 2015 16:18:17 +0300
