=== debian/rules ===
#!/usr/bin/make -f

# DEB_ENABLE_TESTS = yes

clean::
	find \( -name \*.hi -o -name \*.o \) -delete

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
