## haskell-cabal 1.22.8.0

=== debian/changelog ===
haskell-cabal (1.22.8.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 May 2016 13:40:53 +0200

haskell-cabal (1.22.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Tue, 15 Mar 2016 19:50:47 +0100
