## haskell-cabal 1.24.1.0

=== debian/changelog ===
haskell-cabal (1.24.1.0-1build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2017 11:32:44 +0100

haskell-cabal (1.24.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 10 Nov 2016 00:10:25 -0500
