## haskell-cabal 1.24.2.0

=== debian/changelog ===
haskell-cabal (1.24.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 13:56:48 -0400
